> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all transformation models

> Scans dbt/models/clean/ for .sql files and returns metadata for each. Also includes SQL files from WORKSPACE_PATH/transformations/ when configured.



## OpenAPI

````yaml /api-reference/catalog-api.json get /transformations
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /transformations:
    get:
      tags:
        - transformations
      summary: List all transformation models
      description: >-
        Scans dbt/models/clean/ for .sql files and returns metadata for each.
        Also includes SQL files from WORKSPACE_PATH/transformations/ when
        configured.
      operationId: list_transformations_transformations_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/TransformationModel'
                type: array
                title: Response List Transformations Transformations Get
components:
  schemas:
    TransformationModel:
      properties:
        name:
          type: string
          title: Name
        sql:
          type: string
          title: Sql
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        source_tables:
          items:
            type: string
          type: array
          title: Source Tables
          default: []
        connector_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Connector Type
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        warnings:
          items:
            type: string
          type: array
          title: Warnings
          default: []
      type: object
      required:
        - name
        - sql
      title: TransformationModel

````